## obs-studio-dmo 31.1.2

=== debian/changelog ===
obs-studio-dmo (1:31.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 26 Jul 2025 01:39:09 +0200

obs-studio-dmo (1:31.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Jul 2025 06:33:17 +0200

obs-studio-dmo (1:31.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Jul 2025 07:09:21 +0200

obs-studio-dmo (1:31.0.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 28 Jun 2025 01:49:17 +0200

obs-studio-dmo (1:31.0.3-dmo2) unstable; urgency=medium

  * Build with libdatachannel0.23

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 11 Jun 2025 17:30:25 +0200

obs-studio-dmo (1:31.0.3-dmo1+b1) unstable; urgency=medium

  * Build with libajantv2 17.5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Apr 2025 08:08:13 +0200

obs-studio-dmo (1:31.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Mar 2025 00:50:56 +0100

obs-studio-dmo (1:31.0.2-dmo1+b1) unstable; urgency=medium

  * Build with libx264-165

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Mar 2025 11:02:24 +0100

obs-studio-dmo (1:31.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Mar 2025 08:11:37 +0100

obs-studio-dmo (1:31.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Jan 2025 08:50:59 +0100

obs-studio-dmo (1:31.0.0-dmo3) unstable; urgency=medium

  * Build with python 3.13

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jan 2025 18:17:22 +0100

obs-studio-dmo (1:31.0.0-dmo2) unstable; urgency=medium

  * Should Depends on qt6-svg-plugins

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Jan 2025 16:15:06 +0100

obs-studio-dmo (1:31.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Dec 2024 08:06:14 +0100

obs-studio-dmo (1:30.2.3-dmo4) unstable; urgency=medium

  * Build with libdatachannel0.22

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Oct 2024 14:38:50 +0200

obs-studio-dmo (1:30.2.3-dmo3) unstable; urgency=medium

  * Build with mbedtls 3.6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Oct 2024 15:31:20 +0200

obs-studio-dmo (1:30.2.3-dmo2) unstable; urgency=medium

  * Build with libvpl2 1:2.13.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Sep 2024 16:46:03 +0200

obs-studio-dmo (1:30.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Aug 2024 08:12:55 +0200

obs-studio-dmo (1:30.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Jul 2024 07:35:52 +0200

obs-studio-dmo (1:30.2.0-dmo2) unstable; urgency=medium

  * Enable nv-codec-headers for all arches.
  * Build with libajantv2-dev to enable AJA support (amd64 only)

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Jul 2024 16:17:15 +0200

obs-studio-dmo (1:30.2.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Disable AJA for now (only amd64)

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Jul 2024 08:40:25 +0200

obs-studio-dmo (1:30.1.2-dmo4) unstable; urgency=medium

  * Replaces libluajit2-5.1-dev by libluajit-5.1-dev in Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 Jun 2024 07:26:57 +0200

obs-studio-dmo (1:30.1.2-dmo3) unstable; urgency=medium

  * Build with Qt6 6.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jun 2024 13:54:59 +0200

obs-studio-dmo (1:30.1.2-dmo2) unstable; urgency=medium

  * Build with libdatachannel0.21

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Apr 2024 11:08:11 +0200

obs-studio-dmo (1:30.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Apr 2024 09:24:07 +0200

obs-studio-dmo (1:30.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Mar 2024 00:36:36 +0100

obs-studio-dmo (1:30.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Mar 2024 01:57:23 +0100

obs-studio-dmo (1:30.0.2-dmo2) unstable; urgency=medium

  * Rename libraries for 64-bit time_t transition.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Feb 2024 08:36:46 +0100

obs-studio-dmo (1:30.0.2-dmo1) unstable; urgency=medium

  * New upstream release (No changes for Linux users)
  * Build with libdatachannel0.20

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Jan 2024 08:56:52 +0100

obs-studio-dmo (1:30.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Dec 2023 08:51:59 +0100

obs-studio-dmo (1:30.0.0-dmo2) unstable; urgency=medium

  * Fix build for arches without AMF

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Nov 2023 09:31:15 +0100

obs-studio-dmo (1:30.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Nov 2023 00:51:54 +0100

obs-studio-dmo (1:29.1.3-dmo2) unstable; urgency=medium

  * Add patch from nowrep to make AMF encoder work on Linux.
    Note: requires AMD proprietary Vulkan driver.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Aug 2023 16:02:45 +0200

obs-studio-dmo (1:29.1.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

