=== debian/control ===
Source: obs-studio-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://obsproject.com
Standards-Version: 4.7.2
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-sequence-python3, cmake, quilt,
 libasound2-dev, libavfilter-dev (>= 10:7.0~), libv4l-dev, libx11-dev, libfreetype-dev,
 libcurl4-gnutls-dev | libcurl-dev, libdbus-1-dev, libfontconfig-dev,
 libopengl-dev, libjack-jackd2-dev, swig, pkgconf, qt6-base-dev, qt6-svg-dev,
 libjansson-dev (>= 2.5), libpulse-dev, libspeexdsp-dev, libxcb-xinerama0-dev,
 libudev-dev [linux-any], libx264-dev, libxcb-shm0-dev, libftl-dev, libegl-dev,
 libxcomposite-dev, libxinerama-dev, libvlc-dev, libx11-xcb-dev, libsimde-dev,
 python3-docutils (>= 0.6), libfdk-aac-dev, python3-dev, libdatachannel-dev (>= 1:0.23~),
 libmbedtls-dev (>= 3.6.0~), libfdk-aac-dev, libxcb-xinput-dev, libasio-dev,
 libxkbcommon-dev, libxcb-randr0-dev, libavdevice-dev, ninja-build,
 libpipewire-0.3-dev, libwayland-dev, libdrm-dev, libluajit-5.1-dev, libpci-dev,
 qt6-base-private-dev, libxcb-composite0-dev, nv-codec-headers, libxcb-dri2-0-dev,
 libxcb-glx0-dev, libxcb-keysyms1-dev, libxcb-sync-dev, libxcb-xv0-dev,
 libsrt-openssl-dev, librist-dev, libva-dev, libice-dev, libwebsocketpp-dev,
 nlohmann-json3-dev, libqrcodegencpp-dev, libvpl-dev [amd64], libvlccore-dev,
 amf-codec-headers, glslc, glslang-tools, uthash-dev, libajantv2-dev [amd64],
 extra-cmake-modules,

Package: obs-studio
Architecture: any
Depends: obs-plugins (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, qt6-svg-plugins,
Suggests: libnvidia-encode1, pkexec,
Replaces: obs-plugins (<= 1:26.0.0-dmo1), obs-websocket,
Breaks: obs-plugins (<= 1:26.0.0-dmo1), obs-websocket,
Description: recorder and streamer for live video content
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 Other features include:
  * Encoding using H264 (x264) and AAC
  * Unlimited number of scenes and sources
  * File output to MP4 or FLV
  * GPU-based game capture for high performance game streaming
  * Bilinear or lanczos3 resampling
 .
 Note that OBS Studio requires an OpenGL 3.2 compatible video card.

Package: obs-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Replaces: obs-studio
Recommends: vlc
Description: recorder and streamer for live video content (plugins)
 OBS is designed for efficiently recording and streaming live video content. It
 supports live RTP streaming to various streaming sites.
 .
 This package contains the plugins.

Package: libobs0t64
Provides: ${t64:Provides}
Replaces: libobs0
Breaks: libobs0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: recorder and streamer for live video content (shared library)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the shared library libobs.

Package: libobs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libobs0t64 (= ${binary:Version}), ${misc:Depends}, libsimde-dev
Description: recorder and streamer for live video content (development files)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the development files.
