=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,11 @@
 # from https://github.com/obsproject/obs-studio/tree/master/plugins
 #
 # git clone https://github.com/obsproject/obs-websocket.git
-# cd obs-websocket && git checkout 40d26db
+# cd obs-websocket && git checkout 1c9306b
 # git submodule update --init --recursive
 # rm -rf .git* && cd ..
-# mv obs-websocket obs-websocket-5-6-2
-	cd plugins && ln -s ../obs-websocket-5-6-2 obs-websocket
+# mv obs-websocket obs-websocket-5-6-3
+	cd plugins && ln -s ../obs-websocket-5-6-3 obs-websocket
 
 	dh_auto_configure -- \
 	-DAPPDATA_RELEASE_DATE=$(shell date --utc --date=@$${SOURCE_DATE_EPOCH} +'%Y-%m-%d') \
