=== debian/watch ===
version=4

https://github.com/jp9000/obs-studio/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
