## obs-studio-dmo 32.0.2

=== debian/changelog ===
obs-studio-dmo (1:32.0.2-dmo1) unstable; urgency=medium

  * New upstream release (No changes).
  * Build with libdatachannel0.24

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Nov 2025 11:19:31 +0100
