## obs-studio-dmo 32.0.3

=== debian/changelog ===
obs-studio-dmo (1:32.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Dec 2025 01:52:33 +0100
