=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libjansson-dev (>= 2.5), libpulse-dev, libspeexdsp-dev, libxcb-xinerama0-dev,
  libudev-dev [linux-any], libx264-dev, libxcb-shm0-dev, libftl-dev, libegl-dev,
  libxcomposite-dev, libxinerama-dev, libvlc-dev, libx11-xcb-dev, libsimde-dev,
- python3-docutils (>= 0.6), libfdk-aac-dev, python3-dev, libdatachannel-dev (>= 1:0.23~),
+ python3-docutils (>= 0.6), libfdk-aac-dev, python3-dev, libdatachannel-dev (>= 1:0.24~),
  libmbedtls-dev (>= 3.6.0~), libfdk-aac-dev, libxcb-xinput-dev, libasio-dev,
  libxkbcommon-dev, libxcb-randr0-dev, libavdevice-dev, ninja-build,
  libpipewire-0.3-dev, libwayland-dev, libdrm-dev, libluajit-5.1-dev, libpci-dev,
