## obs-studio-dmo 32.0.4

=== debian/changelog ===
obs-studio-dmo (1:32.0.4-dmo1~bpo13+1) trixie-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Dec 2025 00:33:42 +0100
